<script setup>
onMounted(() => {
  window.viewer = new GV.GeoCanvas('earth-container', {
    baseLayerPicker: false,
    imageryProvider: new Cesium.UrlTemplateImageryProvider({
      url: 'GV/resources/theme/earthTheme/{z}/{x}/{y}.jpg',
      tilingScheme: new Cesium.GeographicTilingScheme(),
    }),
  })
  // viewer.scene.skyBox = GV.SkyboxTheme.getSkyBox('GV/resources/theme/skyBox/{z}/{x}/{y}.jpg',false,'jpg')
  // viewer.scene.globe.depthTestAgainstTerrain = true
})
</script>

<template>
  <div
    id="earth-container"
    class="absolute top-0 left-0 bottom-0 right-0"
  ></div>
</template>
